#ifndef _BAASM_H
#define _BAASM_H

/* external dec's for baasm.s */

#define OLDGENERICx

/* pre-built DMA buffers */
extern long screen_refresh;
extern long gs_set_up __attribute__((section(".vudata")));
extern long vu1nfim2dtl __attribute__((section(".vudata")));
extern long vu1nfim2dll __attribute__((section(".vudata")));
extern long vu1im2dtl __attribute__((section(".vudata")));
extern long vu1im2dll __attribute__((section(".vudata")));

#ifdef OLDGENERIC

extern long vu1trans __attribute__((section(".vudata")));
extern long vu1transf __attribute__((section(".vudata")));
extern long vu1transnc __attribute__((section(".vudata")));
extern long vu1nfStTrans __attribute__((section(".vudata")));
extern long vu1nfzStTrans __attribute__((section(".vudata")));
extern long vu1StTrans __attribute__((section(".vudata")));
extern long vu1StcTrans __attribute__((section(".vudata")));
extern long vu1isotrans __attribute__((section(".vudata")));
extern long vu1isoStcTrans __attribute__((section(".vudata")));
extern long vu1StclipTrans  __attribute__((section(".vudata")));
extern long vu1StclipTransf __attribute__((section(".vudata")));
extern long vu1transl __attribute__((section(".vudata")));
extern long vu1isotransl __attribute__((section(".vudata")));

#else

extern long vu1GenericPRS  __attribute__((section(".vudata")));
extern long vu1GenericPRL  __attribute__((section(".vudata")));
extern long vu1SegmentsPRS __attribute__((section(".vudata")));
extern long vu1SegmentsPRL __attribute__((section(".vudata")));
extern long vu1nullTrans   __attribute__((section(".vudata")));

extern long vu1CullFacePRS __attribute__((section(".vudata")));
/* ORTHOGONAL CULLER NOT DONE YET!
 * extern long vu1CullFacePRLL __attribute__((section(".vudata")));
 * No culling for lines, naturally... */

#endif

#endif /* _BAASM_H */
